Models

List organization models

Returns all models (built-in + custom) for the current organization.

GET/api/models

Authorization

better-auth.session_token<token>

Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.

In: cookie

Header Parameters

X-Org-Id?string

Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).

Formatuuid
curl -X GET "https://loading/api/models"
{
  "models": [
    {
      "id": "string",
      "label": "string",
      "api": "string",
      "baseUrl": "string",
      "modelId": "string",
      "input": [
        "string"
      ],
      "contextWindow": 0,
      "maxTokens": 0,
      "reasoning": true,
      "enabled": true,
      "isDefault": true,
      "source": "built-in",
      "providerKeyId": "string",
      "providerKeyLabel": "string",
      "cost": {
        "input": 0,
        "output": 0,
        "cacheRead": 0,
        "cacheWrite": 0
      },
      "createdBy": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "type": "https://docs.appstrate.dev/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing session",
  "code": "unauthorized",
  "requestId": "req_abc123"
}
{
  "type": "https://docs.appstrate.dev/errors/forbidden",
  "title": "Forbidden",
  "status": 403,
  "detail": "Insufficient permissions",
  "code": "forbidden",
  "requestId": "req_abc123"
}